PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package containable
  Definition Classes
    serverobject
- Containable
- ContainableBehavior
- ContainableMsg
- DeferrableMsg

t

net.psforever.objects.serverobject.containable

# ContainableBehavior

###
Companion object ContainableBehavior

#### trait ContainableBehavior extends AnyRef

A mixin for handling synchronized movement of `Equipment` items into or out from `Container` entities. The most important feature of this synchronization is the movemement of equipment out from one container into another container without causing representation overlap, overwriting, or unintended stacking of other equipment including equipment that has not yet been inserted.

Self Type
  ContainableBehavior with Actor
Source
  ContainableBehavior.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
CorpseControl, PlayerControl, LockerContainerControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ContainableBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def ContainerObject: PlanetSideServerObject with Container
2.  abstract def MessageDeferredCallback(msg: Any): Unit

   Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message.

   Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message. To be implemented.

   msg

     the deferred message

3.  abstract def PutItemInSlotCallback(item: Equipment, slot: Int): Unit

   Reaction to an item being placed into a container.

   Reaction to an item being placed into a container. To be implemented.

   item

     the item that was removed

   slot

     the slot from which is was removed

4.  abstract def RemoveItemFromSlotCallback(item: Equipment, slot: Int): Unit

   Reaction to an item being removed a container.

   Reaction to an item being removed a container. To be implemented.

   item

     the item that was removed

   slot

     the slot from which is was removed

5.  abstract def SwapItemCallback(item: Equipment, fromSlot: Int): Unit

   Reaction to the existence of a swap item being produced from a container into the environment.

   Reaction to the existence of a swap item being produced from a container into the environment. To be implemented.

   item

     the item that was removed

   fromSlot

     the slot from where the item was removed (where it previous was)

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def RepeatMessageLater(msg: Any): Unit

   Defer a message until later.

   Defer a message until later.

   msg

     the message to defer

   See also

     `ContainableBehavior.Defer`

     `DeferrableMsg`

5.  def Reset(): Unit

   Stop blocking messages.

6.  def Resume(): Unit

   Decrement the flag for blocking messages.

7.  def Wait(): Unit

   Increment the flag for blocking messages.

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final val containerBehavior: (ContainableBehavior.this)#Receive
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped